<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="..\..\..\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\build\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.props" Condition="Exists('..\..\..\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\build\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.props')" />
  <Import Project="..\..\..\packages\Microsoft.Net.Compilers.1.0.0\build\Microsoft.Net.Compilers.props" Condition="Exists('..\..\..\packages\Microsoft.Net.Compilers.1.0.0\build\Microsoft.Net.Compilers.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>
    </ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{DA95EF28-21F5-4627-A448-9BA88AC3E570}</ProjectGuid>
    <ProjectTypeGuids>{349c5851-65df-11da-9384-00065b846f21};{fae04ec0-301f-11d3-bf4b-00c04f79efbc}</ProjectTypeGuids>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>CallCenterApi.Interface</RootNamespace>
    <AssemblyName>CallCenterApi.Interface</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <UseIISExpress>true</UseIISExpress>
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
    <UseGlobalApplicationHostFile />
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
    <Use64BitIISExpress />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="ICSharpCode.SharpZipLib">
      <HintPath>..\..\..\packages\SharpZipLib.0.86.0\lib\20\ICSharpCode.SharpZipLib.dll</HintPath>
    </Reference>
    <Reference Include="LumiSoft.Net, Version=2.0.4825.14012, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\packages\LumiSoft.Net.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.AI.Agent.Intercept, Version=2.0.6.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.ApplicationInsights.Agent.Intercept.2.0.6\lib\net45\Microsoft.AI.Agent.Intercept.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.AI.DependencyCollector, Version=2.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.ApplicationInsights.DependencyCollector.2.2.0\lib\net45\Microsoft.AI.DependencyCollector.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.AI.PerfCounterCollector, Version=2.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.ApplicationInsights.PerfCounterCollector.2.2.0\lib\net45\Microsoft.AI.PerfCounterCollector.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.AI.ServerTelemetryChannel, Version=2.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.ApplicationInsights.WindowsServer.TelemetryChannel.2.2.0\lib\net45\Microsoft.AI.ServerTelemetryChannel.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.AI.Web, Version=2.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.ApplicationInsights.Web.2.2.0\lib\net45\Microsoft.AI.Web.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.AI.WindowsServer, Version=2.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.ApplicationInsights.WindowsServer.2.2.0\lib\net45\Microsoft.AI.WindowsServer.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.ApplicationInsights, Version=2.2.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.ApplicationInsights.2.2.0\lib\net45\Microsoft.ApplicationInsights.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.CodeDom.Providers.DotNetCompilerPlatform, Version=1.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\lib\net45\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="Newtonsoft.Json, Version=10.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\packages\Newtonsoft.Json.10.0.2\lib\net45\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="Senparc.Weixin, Version=4.12.3.31913, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Lib\Senparc.Weixin.dll</HintPath>
    </Reference>
    <Reference Include="Senparc.Weixin.MP, Version=14.4.12.16532, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>Lib\Senparc.Weixin.MP.dll</HintPath>
    </Reference>
    <Reference Include="System.Management" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Net.Http.WebRequest" />
    <Reference Include="System.Transactions" />
    <Reference Include="System.Web.DynamicData" />
    <Reference Include="System.Web.Entity" />
    <Reference Include="System.Web.ApplicationServices" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Web.Extensions" />
    <Reference Include="System.Web.Mvc">
      <HintPath>..\..\..\packages\Microsoft.AspNet.Mvc.5.2.3\lib\net45\System.Web.Mvc.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Web.Services" />
    <Reference Include="System.EnterpriseServices" />
    <Reference Include="TopSdk, Version=2.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>bin\TopSdk.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Reference Include="System.Web.Razor">
      <HintPath>..\..\..\packages\Microsoft.AspNet.Razor.3.2.3\lib\net45\System.Web.Razor.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Webpages">
      <HintPath>..\..\..\packages\Microsoft.AspNet.Webpages.3.2.3\lib\net45\System.Web.Webpages.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Webpages.Deployment">
      <HintPath>..\..\..\packages\Microsoft.AspNet.Webpages.3.2.3\lib\net45\System.Web.Webpages.Deployment.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Webpages.Razor">
      <HintPath>..\..\..\packages\Microsoft.AspNet.Webpages.3.2.3\lib\net45\System.Web.Webpages.Razor.dll</HintPath>
    </Reference>
    <Reference Include="System.Web.Helpers">
      <HintPath>..\..\..\packages\Microsoft.AspNet.Webpages.3.2.3\lib\net45\System.Web.Helpers.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.Web.Infrastructure">
      <HintPath>..\..\..\packages\Microsoft.Web.Infrastructure.1.0.0.0\lib\net40\Microsoft.Web.Infrastructure.dll</HintPath>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Global.asax" />
    <Content Include="Lib\LumiSoft.Net.dll" />
    <Content Include="Lib\Senparc.Weixin.dll" />
    <Content Include="Lib\Senparc.Weixin.MP.dll" />
    <Content Include="Lib\TopSdk.dll" />
    <Content Include="Txt\dirtywords.txt" />
    <Content Include="Web.config">
      <SubType>Designer</SubType>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="App_Start\OutActionFilter.cs" />
    <Compile Include="App_Start\APPActionFilter.cs" />
    <Compile Include="App_Start\AuthorizeAttribute.cs" />
    <Compile Include="App_Start\FilterConfig.cs" />
    <Compile Include="App_Start\ErrorAttribute.cs" />
    <Compile Include="App_Start\RouteConfig.cs" />
    <Compile Include="App_Start\WechatActionFilter.cs" />
    <Compile Include="Controllers\APPController.cs" />
    <Compile Include="Controllers\AreaController.cs" />
    <Compile Include="Controllers\Base\BaseController.cs" />
    <Compile Include="Controllers\CallOutOptController.cs" />
    <Compile Include="Controllers\callout\CallPlanController.cs" />
    <Compile Include="Controllers\ChatController.cs" />
    <Compile Include="Controllers\CheckPointController.cs" />
    <Compile Include="Controllers\ClassController.cs" />
    <Compile Include="Controllers\Client\ApplicationsRefreshController.cs" />
    <Compile Include="Controllers\Client\ArticleController.cs" />
    <Compile Include="Controllers\Client\FAQController.cs" />
    <Compile Include="Controllers\Client\UserFeedbackController.cs" />
    <Compile Include="Controllers\Client\UserGradeController.cs" />
    <Compile Include="Controllers\County\CountyBusinessController.cs" />
    <Compile Include="Controllers\County\CountyTelController.cs" />
    <Compile Include="Controllers\customer\AddressBookController.cs" />
    <Compile Include="Controllers\customer\CustomerController.cs" />
    <Compile Include="Controllers\DepartmentController.cs" />
    <Compile Include="Controllers\DictionaryController.cs" />
    <Compile Include="Controllers\EmailSendController.cs" />
    <Compile Include="Controllers\GroupClassController.cs" />
    <Compile Include="Controllers\GroupController.cs" />
    <Compile Include="Controllers\HomeController.cs" />
    <Compile Include="Controllers\IndexController.cs" />
    <Compile Include="Controllers\InfoController.cs" />
    <Compile Include="Controllers\information\InternalMessagesController.cs" />
    <Compile Include="Controllers\information\NoticeController.cs" />
    <Compile Include="Controllers\IVRWordsController.cs" />
    <Compile Include="Controllers\knowledge\KnowledgeClassController.cs" />
    <Compile Include="Controllers\knowledge\KnowledgeController.cs" />
    <Compile Include="Controllers\LogController.cs" />
    <Compile Include="Controllers\Login\LoginController.cs" />
    <Compile Include="Controllers\FunctionController.cs" />
    <Compile Include="Controllers\MaterialController.cs" />
    <Compile Include="Controllers\report\BusinessController.cs" />
    <Compile Include="Controllers\report\CallInController.cs" />
    <Compile Include="Controllers\report\DataAnalysisController.cs" />
    <Compile Include="Controllers\report\DaysTalkTimeController.cs" />
    <Compile Include="Controllers\report\DeptAssessmentController.cs" />
    <Compile Include="Controllers\report\FlowAnalysisController.cs" />
    <Compile Include="Controllers\report\ServerMonitorController.cs" />
    <Compile Include="Controllers\report\SwitchedlossCallController.cs" />
    <Compile Include="Controllers\report\TalkTimeController.cs" />
    <Compile Include="Controllers\report\TelWOReportController.cs" />
    <Compile Include="Controllers\report\TotalCallController.cs" />
    <Compile Include="Controllers\report\TotalTelController.cs" />
    <Compile Include="Controllers\report\WorkOrderReportController.cs" />
    <Compile Include="Controllers\report\YearContrastController.cs" />
    <Compile Include="Controllers\report\ZuoXiTongHuaController.cs" />
    <Compile Include="Controllers\report\ZuoXiWorkTotalController.cs" />
    <Compile Include="Controllers\RoleFunctionController.cs" />
    <Compile Include="Controllers\RoleInfoController.cs" />
    <Compile Include="Controllers\SMSController.cs" />
    <Compile Include="Controllers\SysConfigController.cs" />
    <Compile Include="Controllers\tel\CallblackController.cs" />
    <Compile Include="Controllers\tel\CallInScreenController.cs" />
    <Compile Include="Controllers\tel\CallleaveController.cs" />
    <Compile Include="Controllers\tel\CallOutScreenController.cs" />
    <Compile Include="Controllers\tel\CallrecordsController.cs" />
    <Compile Include="Controllers\tel\DutyPhoneController.cs" />
    <Compile Include="Controllers\tel\MobiledataController.cs" />
    <Compile Include="Controllers\tel\RecordSetController.cs" />
    <Compile Include="Controllers\tel\SeatMonitoringController.cs" />
    <Compile Include="Controllers\tel\WorkcalendarController.cs" />
    <Compile Include="Controllers\UserAccountController.cs" />
    <Compile Include="Controllers\UserClassController.cs" />
    <Compile Include="Controllers\WebController.cs" />
    <Compile Include="Controllers\weibo\WeiBoApi\ReceiveMsg.cs" />
    <Compile Include="Controllers\weibo\WeiBoController.cs" />
    <Compile Include="Controllers\weibo\WeiBoReceiveController.cs" />
    <Compile Include="Controllers\weixin\WxCustomController.cs" />
    <Compile Include="Controllers\weixin\WxLoginController.cs" />
    <Compile Include="Controllers\weixin\WxReceiveController.cs" />
    <Compile Include="Controllers\workorder\WorkOrderController.cs" />
    <Compile Include="Controllers\workorder\WOVisitRecordsController.cs" />
    <Compile Include="Global.asax.cs">
      <DependentUpon>Global.asax</DependentUpon>
    </Compile>
    <Compile Include="Models\Common\ButtonGroup.cs" />
    <Compile Include="Models\Common\FormsPrincipal.cs" />
    <Compile Include="Models\Common\ListBase.cs" />
    <Compile Include="Models\Dto\AddressBookCodeDto.cs" />
    <Compile Include="Models\Dto\AddressBookDto.cs" />
    <Compile Include="Models\Dto\CallPlan.cs" />
    <Compile Include="Models\Dto\DeptAssessment.cs" />
    <Compile Include="Models\Dto\WorkOrderReportDto.cs" />
    <Compile Include="Models\Filter\FilterCallPhone.cs" />
    <Compile Include="Models\Filter\FilterCallPlan.cs" />
    <Compile Include="Models\Filter\FilterVoiceCategory.cs" />
    <Compile Include="Models\Filter\FilterVoiceTemp.cs" />
    <Compile Include="Models\Input\AutoVoiceNoticeInput.cs" />
    <Compile Include="Models\Input\CallPlanInput.cs" />
    <Compile Include="Models\Input\LoginModel.cs" />
    <Compile Include="Models\Input\ModuleFunctionInput.cs" />
    <Compile Include="Models\Input\ChatInput.cs" />
    <Compile Include="Models\Input\RoleInput.cs" />
    <Compile Include="Models\Input\SysConfigInput.cs" />
    <Compile Include="Models\Input\UserAccountInput.cs" />
    <Compile Include="Models\Input\VoiceCategoryInput.cs" />
    <Compile Include="Models\Input\VoiceTempleteInput.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="packages.config">
      <SubType>Designer</SubType>
    </Content>
    <Content Include="ApplicationInsights.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Configs\log4net.config" />
    <Content Include="Configs\system.config" />
    <None Include="Web.Debug.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
    <None Include="Web.Release.config">
      <DependentUpon>Web.config</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Folder Include="App_Data\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\..\CallCenterCommon\CallCenter.QuartzService\CallCenter.QuartzService.csproj">
      <Project>{DE259E1C-B4CC-4E87-8F6E-F6A6777D4B2C}</Project>
      <Name>CallCenter.QuartzService</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\..\CallCenterCommon\CallCenter.Utility\CallCenter.Utility.csproj">
      <Project>{4DA219CC-911E-4C81-BB0B-DF5183FD50FF}</Project>
      <Name>CallCenter.Utility</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\CallCenterApi.BLL\CallCenterApi.BLL.csproj">
      <Project>{d99011c9-0a57-4706-b073-091681effad7}</Project>
      <Name>CallCenterApi.BLL</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\CallCenterApi.Common\CallCenterApi.Common.csproj">
      <Project>{61507db3-6539-4161-9812-2103c794d209}</Project>
      <Name>CallCenterApi.Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\CallCenterApi.DB\CallCenterApi.DB.csproj">
      <Project>{ae933bfc-b06c-4fe8-a352-0ce16db082d7}</Project>
      <Name>CallCenterApi.DB</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\CallCenterApi.Model\CallCenterApi.Model.csproj">
      <Project>{03ac6599-ffc1-43db-8794-f42b9bf74ef5}</Project>
      <Name>CallCenterApi.Model</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\CallCenterAPI.WechatSDK\CallCenterAPI.WechatSDK.csproj">
      <Project>{365597cc-2f7b-4156-9f80-7cfe00db84af}</Project>
      <Name>CallCenterAPI.WechatSDK</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <PropertyGroup>
    <VisualStudioVersion Condition="'$(VisualStudioVersion)' == ''">10.0</VisualStudioVersion>
    <VSToolsPath Condition="'$(VSToolsPath)' == ''">$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v$(VisualStudioVersion)</VSToolsPath>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <Import Project="$(VSToolsPath)\WebApplications\Microsoft.WebApplication.targets" Condition="'$(VSToolsPath)' != ''" />
  <Import Project="$(MSBuildExtensionsPath32)\Microsoft\VisualStudio\v10.0\WebApplications\Microsoft.WebApplication.targets" Condition="false" />
  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>True</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>63662</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>http://localhost:63660/</IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>这台计算机上缺少此项目引用的 NuGet 程序包。使用“NuGet 程序包还原”可下载这些程序包。有关更多信息，请参见 http://go.microsoft.com/fwlink/?LinkID=322105。缺少的文件是 {0}。</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('..\..\..\packages\Microsoft.Net.Compilers.1.0.0\build\Microsoft.Net.Compilers.props')" Text="$([System.String]::Format('$(ErrorText)', '..\..\..\packages\Microsoft.Net.Compilers.1.0.0\build\Microsoft.Net.Compilers.props'))" />
    <Error Condition="!Exists('..\..\..\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\build\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.props')" Text="$([System.String]::Format('$(ErrorText)', '..\..\..\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\build\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.props'))" />
  </Target>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>